import { IgrLegendBase } from "./igr-legend-base";
import { ItemLegend } from "./ItemLegend";
/**
 * Represents a legend that displays an item for each point in the series.
*/
export class IgrItemLegend extends IgrLegendBase {
    createImplementation() {
        return new ItemLegend();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
}
